Bug 862918 - Logins using gdm blocked in enforcing mode
Logins using gdm blocked in enforcing mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 17:19 EDT by Bruno Wolff III
Modified: 2012-12-20 10:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:37:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-10-03 17:19:00 EDT
Description of problem:
After an update to selinux-policy-targeted I was unable to login (I got the something's gone wrong page before getting prompted for login and password). I am not sure which exact update broke this, as I might have had more than one since I last logged out / rebooted. However the problem exists with selinux-policy-targeted-3.11.1-29.fc18.noarch.

It's also possible that systemd-194-1.fc18.x86_64 broke something new, while fixing the issue with VTs.

I also see some new AVCs related to xdm:

type=AVC msg=audit(1349296889.997:41): avc:  denied  { write } for  pid=1434 comm="gdbus" path="/run/systemd/inhibit/3.ref" dev="tmpfs" ino=23748 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:systemd_logind_inhibit_var_run_t:s0 tclass=fifo_file

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.11.1-29.fc18.noarch
systemd-194-1.fc18.x86_64
Comment 1 Miroslav Grepl 2012-10-04 05:14:58 EDT
Bruno,
execute

# grep xdm_t /var/log/audit/audit.log |audit2allow -M mypol
# semodule -i mypol.pp

should fix it for now.

Fixed in selinux-policy-3.11.1-30.fc18
Comment 2 Bruno Wolff III 2012-10-04 08:49:31 EDT
I installed selinux-policy-3.11.1-30.fc18 and still see the problem. I'll be testing a second machine in a few hours.
Comment 3 Bruno Wolff III 2012-10-04 12:18:56 EDT
selinux-policy-3.11.1-31.fc18 fixes the problem, but the changelog dates are still off by a month.
Comment 4 Miroslav Grepl 2012-10-04 13:42:42 EDT
Will be fixed in  selinux-policy-3.11.1-33.fc18
Comment 5 Fedora Update System 2012-10-11 05:05:18 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 6 Fedora Update System 2012-10-11 13:23:54 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:37:16 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.